{% from 'components/freigabestatus_badge.html.jinja' import freigabestatus_badge %}
{%- from 'components/metadata.html.jinja' import metadata_card -%}
{%- macro schema_references(referenzen) -%}
  {% call metadata_card("Verwendet in Datenschemata", "https://docs.fitko.de/fim/docs/glossar/#verwendet_in_datenschemata") %}
    <div class="list-group list-group-flush">
      {% for schema in referenzen %}
        <a
          href="{{ schema.uri }}"
          class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center justify-content-between"
        >
          <div class="d-flex flex-column">
            <div>{{ schema.name }}</div>
            <div class="text-secondary">
              {{ schema.fim_id + " • " + schema.fim_version + " • " + schema.xdf_version }}
            </div>
          </div>
          <div>
            {{ freigabestatus_badge(schema.freigabe_status) }}
            <i class="text-muted bi bi-chevron-right" aria-hidden="true"></i>
          </div>
        </a>
      {% else %}
        <div class="list-group-item">{{ empty_entry() }}</div>
      {% endfor %}
    </div>
  {% endcall %}
{%- endmacro -%}
